Show / Hide Table of Contents

# Class ReorderRoleProperties

Properties that are used to reorder an IRole.

##### Inheritance

System.Object
ReorderRoleProperties

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class ReorderRoleProperties

### Constructors

| Improve this Doc View Source

#### ReorderRoleProperties(UInt64, Int32)

Initializes a ReorderRoleProperties with the given role ID and position.

##### Declaration

    public ReorderRoleProperties(ulong id, int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | id | The ID of the role to be edited.
System.Int32 | pos | The new zero-based position of the role.

### Properties

| Improve this Doc View Source

#### Id

Gets the identifier of the role to be edited.

##### Declaration

    public ulong Id { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier of the role to be modified.

| Improve this Doc View Source

#### Position

Gets the new zero-based position of the role.

##### Declaration

    public int Position { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | An System.Int32 representing the new zero-based position of the role.